// News View
// =============

// Includes file dependencies
define([
    'backbone',
    'templates',
], function(Backbone, Templates) {

    var NewsView = Backbone.View.extend({

        template: Templates.NewsTemplate,

        className: "news-item",

        render: function() 
        {
            this.$el.html( this.template(this.model.toJSON()) );
            // Maintains chainability  
            return this;
        },

    });

    return NewsView;
});
