// Report View
// =============

// Includes file dependencies
define([
    "jquery", 
    "backbone",
    "templates",
], function($, Backbone, Templates) {

    // Extends Backbone.View
    var ReportDetailView = Backbone.View.extend({

        template: Templates.ReportDetailTemplate,

        // Renders all of the Category models on the UI
        render: function() 
        {   
            this.$el.html( this.template(this.model.toJSON()) );
            // Maintains chainability
            return this;
        }

    });

    return ReportDetailView;
});