define([
    'handlebars',
    'text!common/templates/MenuTemplate.html',
    'text!common/templates/PopupTemplate.html',
    'text!seismic/templates/SeismicTemplate.html',
    'text!seismic/templates/SeismicListTemplate.html',
    'text!reports/templates/ReportTemplate.html',
    'text!reports/templates/ReportListTemplate.html',
    'text!reports/templates/ReportDetailTemplate.html',
    'text!news/templates/NewsTemplate.html',
    'text!news/templates/NewsListTemplate.html',
    'text!static/templates/StaticTemplate.html',
    'text!static/templates/DisclaimerTemplate.html',
    'text!static/templates/StepsTemplate.html',
], function(Handlebars, MenuTemplate, PopupTemplate, SeismicTemplate, SeismicListTemplate, 
            ReportTemplate, ReportListTemplate, ReportDetailTemplate, 
            NewsTemplate, NewsListTemplate, StaticTemplate, DisclaimerTemplate,
            StepsTemplate){

    return {
        MenuTemplate:           Handlebars.compile(MenuTemplate),
        PopupTemplate:          Handlebars.compile(PopupTemplate),
        SeismicTemplate:        Handlebars.compile(SeismicTemplate),
        SeismicListTemplate:    Handlebars.compile(SeismicListTemplate),
        ReportTemplate:         Handlebars.compile(ReportTemplate),
        ReportListTemplate:     Handlebars.compile(ReportListTemplate),
        ReportDetailTemplate:   Handlebars.compile(ReportDetailTemplate),
        NewsTemplate:           Handlebars.compile(NewsTemplate),
        NewsListTemplate:       Handlebars.compile(NewsListTemplate),
        StaticTemplate:         Handlebars.compile(StaticTemplate),
        DisclaimerTemplate:     Handlebars.compile(DisclaimerTemplate),
        StepsTemplate:          Handlebars.compile(StepsTemplate),
    }

});
