define([
    "backbone",
], function(Backbone) {

    var ReportModel = Backbone.Model.extend({

        defaults: {
            title:       '',
            pubDate:     undefined,
            description: '',
            link:        '',
        },

        initialize: function() 
        {
            this.set('pubDate', new Date(this.get('pubDate')));
        },

    });

    return ReportModel;
});
