define([
    'backbone',
    'configs',
    'seismic/models/SeismicModel'
], function(Backbone, Configs, SeismicModel) {

    var SeismicCollection = Backbone.Collection.extend({
        
        model: SeismicModel,
        url: Configs.resources.seismic,

        comparator: function (model)
        {
            return -model.get('time');
        },
    });

    return SeismicCollection;
});
